QXmppJingleIq Class Reference
Stanzas

The QXmppJingleIq class represents an IQ used for initiating media sessions as specified by XEP-0166: Jingle. More...

`#include <QXmppJingleIq.h>`

Inheritance diagram for QXmppJingleIq:
[legend]
Collaboration diagram for QXmppJingleIq:
[legend]

## Public Types

enum | Action { ContentAccept, ContentAdd, ContentModify, ContentReject, ContentRemove, DescriptionInfo, SecurityInfo, SessionAccept, SessionInfo, SessionInitiate, SessionTerminate, TransportAccept, TransportInfo, TransportReject, TransportReplace }
| This enum is used to describe a Jingle action.
Public Types inherited from QXmppIq
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...

## Public Member Functions

| QXmppJingleIq ()
| Constructs a QXmppJingleIq.
| QXmppJingleIq (const QXmppJingleIq &other)
QXmppJingleIq & | operator= (const QXmppJingleIq &other)
Action | action () const
| Returns the Jingle IQ's action.
void | setAction (Action action)
void | addContent (const Content &content)
| Adds an element to the IQ's content elements.
QList< Content > | contents () const
| Returns the IQ's content elements.
void | setContents (const QList< Content > &contents)
| Sets the IQ's content elements.
QString | initiator () const
| Returns the session initiator.
void | setInitiator (const QString &initiator)
Reason & | reason ()
| Returns a reference to the IQ's reason element.
const Reason & | reason () const
| Returns a const reference to the IQ's reason element.
QString | responder () const
| Returns the session responder.
void | setResponder (const QString &responder)
bool | ringing () const
| Returns true if the call is ringing.
void | setRinging (bool ringing)
QString | sid () const
| Returns the session ID.
void | setSid (const QString &sid)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Detailed Description

The QXmppJingleIq class represents an IQ used for initiating media sessions as specified by XEP-0166: Jingle.

## Constructor & Destructor Documentation

QXmppJingleIq::QXmppJingleIq | ( | const QXmppJingleIq & | other | ) |

Constructs a copy of other.

Parameters

  other |

## Member Function Documentation

QXmppJingleIq & QXmppJingleIq::operator= | ( | const QXmppJingleIq & | other | ) |

Assigns the other Jingle IQ to this one.

Parameters

  other |

void QXmppJingleIq::setAction | ( | QXmppJingleIq::Action | action | ) |

Sets the Jingle IQ's action.

Parameters

  action |

void QXmppJingleIq::setInitiator | ( | const QString & | initiator | ) |

Sets the session initiator.

Parameters

  initiator |

void QXmppJingleIq::setResponder | ( | const QString & | responder | ) |

Sets the session responder.

Parameters

  responder |

void QXmppJingleIq::setRinging | ( | bool | ringing | ) |

Set to true if the call is ringing.

Parameters

  ringing |

void QXmppJingleIq::setSid | ( | const QString & | sid | ) |

Sets the session ID.

Parameters

  sid |

The documentation for this class was generated from the following files:

- QXmppJingleIq.h
- QXmppJingleIq.cpp